package com.moka.gdtauto.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 腾讯账户上传视频记录
 * </p>
 *
 * @author mokamvp
 * @since 2026-03-10
 */
@TableName("tencent_account_id_video_id")
public class TencentAccountIdVideoId implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 账户ID
     */
    private Long accountId;

    /**
     * 视频URL
     */
    private String videoUrl;

    /**
     * 视频ID
     */
    private Long videoId;

    /**
     * 封面图片ID
     */
    private Long coverImageId;

    // 文件MD5签名
    private String fileMd5;
    
    public String getFileMd5() {
        return fileMd5;
    }
    public void setFileMd5(String fileMd5) {
        this.fileMd5 = fileMd5;
    }

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public Long getCoverImageId() {
        return coverImageId;
    }

    public void setCoverImageId(Long coverImageId) {
        this.coverImageId = coverImageId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "TencentAccountIdVideoId{" +
            "id = " + id +
            ", accountId = " + accountId +
            ", videoUrl = " + videoUrl +
            ", videoId = " + videoId +
            ", coverImageId = " + coverImageId +
            ", createTime = " + createTime +
            "}";
    }
}
